package ru.dbotthepony.mc.otm.client.screen

import net.minecraft.network.chat.Component
import ru.dbotthepony.mc.otm.menu.PatternStorageMenu
import net.minecraft.world.entity.player.Inventory
import ru.dbotthepony.mc.otm.client.screen.panels.FramePanel
import ru.dbotthepony.mc.otm.client.screen.panels.SlotPanel
import ru.dbotthepony.mc.otm.client.screen.widget.PatternGaugePanel

class PatternStorageScreen(p_97741_: PatternStorageMenu, p_97742_: Inventory, p_97743_: Component) :
	MatteryScreen<PatternStorageMenu>(p_97741_, p_97742_, p_97743_) {
	override fun makeMainFrame(): FramePanel {
		val frame = super.makeMainFrame()!!


		val m = PatternGaugePanel(this, frame, menu.stored_this, LEFT_MARGIN, GAUGE_TOP_WITHOUT_SLOT)
		PatternGaugePanel(this, frame, menu.stored_grid, LEFT_MARGIN + m.width, GAUGE_TOP_WITHOUT_SLOT)

		for (i in 0 until 4)
			SlotPanel(this, frame, menu.pattern_slots[i], 62f + i * 18, 32f)

		for (i in 4 until 8)
			SlotPanel(this, frame, menu.pattern_slots[i], 62f + (i - 4) * 18, 32f + 18f)

		return frame
	}
}
