package ru.dbotthepony.mc.otm.registry

import net.minecraftforge.common.loot.GlobalLootModifierSerializer
import net.minecraftforge.event.RegistryEvent
import net.minecraftforge.eventbus.api.SubscribeEvent
import ru.dbotthepony.mc.otm.data.LootTableAppender
import ru.dbotthepony.mc.otm.data.LootTableBasicAppender

object LootModifiers {
	@SubscribeEvent
	fun register(event: RegistryEvent.Register<GlobalLootModifierSerializer<*>>) {
		event.registry.register(LootTableAppender.Companion)
		event.registry.register(LootTableBasicAppender.Companion)
	}
}
